#ifndef __TaylorsData_ArticleManager_h__
#define __TaylorsData_ArticleManager_h__

#include <TaylorsData/TaylorsData.h>

#include <TaylorsData/Exception.h>
#include <TaylorsData/Article.h>

namespace TaylorsData
{
	class TaylorsData_Export ArticleManager
	{
		private:
			static ArticleManager* _pmanager;

		public:
			static void setArticleManager( ArticleManager* pmanager );
			static ArticleManager* articleManager();

			static void showArticle( Article& article );

		protected:
			virtual void showArticleV( Article& article ) = 0;
	};
}

#endif /* !__TaylorsData_ArticleManager_h__ */
