#ifndef ARTICLESEARCHDIALOG_H
#define ARTICLESEARCHDIALOG_H

#include <TaylorsUIComponents/TaylorsUIComponents.h>

#include <TaylorsData/Report.h>
#include <TaylorsData/TaylorsFactory.h>

#include <Base4c/Util.h>

#include <QDialog>

namespace Ui
{
	class ArticleSearchDialog;
}

namespace TaylorsUIComponents
{
	class TAYLORSUICOMPONENTSSHARED_EXPORT ArticleSearchDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::ArticleSearchDialog *ui;

		public:
			explicit ArticleSearchDialog(QWidget *parent = nullptr);
			~ArticleSearchDialog();

			const TaylorsData::Report & report() const;
			Base4c::StringList searchTerms() const;
			TaylorsData::TaylorsFactory::Search searchMode() const;
	};
}

#endif // ARTICLESEARCHDIALOG_H
