#ifndef CALENDARDIALOG_H
#define CALENDARDIALOG_H

#include <TaylorsData/Calendar.h>

#include <QDialog>

namespace Ui
{
	class CalendarDialog;
}

namespace TaylorsUIComponents
{
	class CalendarDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::CalendarDialog *ui;
			TaylorsData::Calendar::OpenDayExceptionMap _dayS;

		public:
			explicit CalendarDialog(QWidget *parent = nullptr);
			~CalendarDialog();

		protected slots:
			void onDateChanged( const QDate& date );
			void onCurrentPageChanged( int nYear, int nMonth );
			void onSave();
			void onDiscard();
	};
}

#endif // CALENDARDIALOG_H
