#ifndef SETTINGTREEWIDGETITEM_H
#define SETTINGTREEWIDGETITEM_H

#include <TaylorsData/Settings.h>

#include <QTreeWidgetItem>

namespace TaylorsUIComponents
{
	class SettingTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			TaylorsData::Setting* _psetting;

		public:
			explicit SettingTreeWidgetItem( QTreeWidget *pparent, TaylorsData::Setting* psetting );
			explicit SettingTreeWidgetItem( SettingTreeWidgetItem *pparent, TaylorsData::Setting* psetting );
			virtual ~SettingTreeWidgetItem();

			TaylorsData::Setting& setting() const;

			bool editItem();
	};
}

#endif // SETTINGTREEWIDGETITEM_H
