#ifndef OPENSTATUSCOMBOBOX_H
#define OPENSTATUSCOMBOBOX_H

#include <TaylorsData/Calendar.h>

#include <QComboBox>

namespace TaylorsUIComponents
{
	class OpenStatusComboBox : public QComboBox
	{
		Q_OBJECT

		public:
			explicit OpenStatusComboBox(QWidget *parent = 0);

			const TaylorsData::Calendar::OpenStatus& currentStatus() const;
			void setCurrentStatus( const TaylorsData::Calendar::OpenStatus& status );

		signals:

		public slots:

	};
}

#endif // OPENSTATUSCOMBOBOX_H
