#ifndef SETTINGTREEWIDGET_H
#define SETTINGTREEWIDGET_H

#include <SettingTreeWidgetItem.h>

#include <TaylorsData/Article.h>

#include <QTreeWidget>

namespace TaylorsUIComponents
{
	class SettingTreeWidget : public QTreeWidget
	{
		Q_OBJECT

		public:
			class SettingSettingTreeWidgetItemMap : public std::map<TaylorsData::Setting::Key, SettingTreeWidgetItem*>
			{
			};

		private:
			SettingSettingTreeWidgetItemMap _settingSettingTreeWidgetItemS;
//			TaylorsData::Article* _particle;

		public:
			explicit SettingTreeWidget(QWidget *parent = 0);

			void addItem( SettingTreeWidgetItem* pparent, TaylorsData::Setting* pitem );

		protected slots:
			void onItemDoubleClicked( QTreeWidgetItem* pitem, int nCol );
	};
}

#endif // SETTINGTREEWIDGET_H
